
QGIS Application - Bug report #20343

QGIS crashes on Windows when saving layer with thematic map to KML

2018-11-02 11:37 PM - Ales Vanek

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.2 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 28164

Description

QGIS crashes on Windows when saving layer with thematic map to KML

Crash ID: 9ce61ee275b7ccb303a817c0bb60538ece3e8356

Stack Trace

GDALReadWorldFile2 :

GDALAsyncReader::GetXSize :

GDALAsyncReader::GetXSize :

OGRCurveCollection::hasCurveGeometry :

OGRCurveCollection::hasCurveGeometry :

IGMLReader::~IGMLReader :

IGMLReader::~IGMLReader :

IGMLReader::~IGMLReader :

RegisterOGRLIBKML :

GDALOpenEx :

CPLStringList::FindString :

OGREnvelope::Merge :

std::basic_string,std::allocator >::find_last_of :

std::basic_string,std::allocator >::max_size :

OGREnvelope::OGREnvelope :

QgsProviderRegistry::createProvider :

QgsVectorLayer::setDataProvider :

QgsVectorLayer::setDataSource :

QgsVectorLayer::QgsVectorLayer :

QgisApp::addVectorLayers :

CPLStringList::List :

QMetaObject::activate :

QgsVectorFileWriterTask::writeComplete :

QgsTaskManager::taskStatusChanged :

QMetaCallEvent::placeMetaCall :

QObject::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QCoreApplicationPrivate::sendPostedEvents :

qt_plugin_query_metadata :

QEventDispatcherWin32::processEvents :
TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.2-Bonn

QGIS code revision: 26842169e9

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-11-02 11:55 PM - Giovanni Manghi

- Status changed from Open to Feedback

Try again with a clean/new profile and QGIS 3.4

#2 - 2018-11-02 11:58 PM - Giovanni Manghi

No issues here on 3.4/Linux on a clean profile.

#3 - 2019-02-11 05:02 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Files

QGIS_Crashes_When_Exported_To_KML.qgz 6.4 KB 2018-11-02 Ales Vanek

KDDI.csv 3.25 MB 2018-11-02 Ales Vanek

Thematic_Map.qml 47.9 KB 2018-11-02 Ales Vanek
